com.io7m.r2.filters

## Class R2FilterLightApplicatorParameters.Builder

- java.lang.Object
- - com.io7m.r2.filters.R2FilterLightApplicatorParameters.Builder

- Enclosing class:
    R2FilterLightApplicatorParameters

      public static final class R2FilterLightApplicatorParameters.Builder
      extends Object

  Builds instances of type `R2FilterLightApplicatorParameters`. Initialize attributes and then invoke the `build()` method to create an immutable instance.

  `Builder` is not thread-safe and generally should not be stored in a field or collection, but instead used immediately to create instances.

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `R2FilterLightApplicatorParameters` | `build()` Builds a new `R2FilterLightApplicatorParameters`.
    `R2FilterLightApplicatorParameters.Builder` | `from(R2FilterLightApplicatorParametersType instance)` Fill a builder with attribute values from the provided `R2FilterLightApplicatorParametersType` instance.
    `R2FilterLightApplicatorParameters.Builder` | `setCopyDepth(R2CopyDepth copyDepth)` Initializes the value for the `copyDepth` attribute.
    `R2FilterLightApplicatorParameters.Builder` | `setGeometryBuffer(R2GeometryBufferUsableType geometryBuffer)` Initializes the value for the `geometryBuffer` attribute.
    `R2FilterLightApplicatorParameters.Builder` | `setLightDiffuseTexture(R2Texture2DUsableType lightDiffuseTexture)` Initializes the value for the `lightDiffuseTexture` attribute.
    `R2FilterLightApplicatorParameters.Builder` | `setLightSpecularTexture(R2Texture2DUsableType lightSpecularTexture)` Initializes the value for the `lightSpecularTexture` attribute.
    `R2FilterLightApplicatorParameters.Builder` | `setOutputViewport(com.io7m.jareas.core.AreaInclusiveUnsignedLType outputViewport)` Initializes the value for the `outputViewport` attribute.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### from

          public final R2FilterLightApplicatorParameters.Builder from(R2FilterLightApplicatorParametersType instance)

      Fill a builder with attribute values from the provided `R2FilterLightApplicatorParametersType` instance. Regular attribute values will be replaced with those from the given instance. Absent optional values will not replace present values.
      Parameters:
        `instance` - The instance from which to copy values
      Returns:
        `this` builder for use in a chained invocation

    - #### setCopyDepth

          public final R2FilterLightApplicatorParameters.Builder setCopyDepth(R2CopyDepth copyDepth)

      Initializes the value for the `copyDepth` attribute.

      If not set, this attribute will have a default value as returned by the initializer of `copyDepth`.

      Parameters:
        `copyDepth` - The value for copyDepth
      Returns:
        `this` builder for use in a chained invocation

    - #### setGeometryBuffer

          public final R2FilterLightApplicatorParameters.Builder setGeometryBuffer(R2GeometryBufferUsableType geometryBuffer)

      Initializes the value for the `geometryBuffer` attribute.
      Parameters:
        `geometryBuffer` - The value for geometryBuffer
      Returns:
        `this` builder for use in a chained invocation

    - #### setLightDiffuseTexture

          public final R2FilterLightApplicatorParameters.Builder setLightDiffuseTexture(R2Texture2DUsableType lightDiffuseTexture)

      Initializes the value for the `lightDiffuseTexture` attribute.
      Parameters:
        `lightDiffuseTexture` - The value for lightDiffuseTexture
      Returns:
        `this` builder for use in a chained invocation

    - #### setLightSpecularTexture

          public final R2FilterLightApplicatorParameters.Builder setLightSpecularTexture(R2Texture2DUsableType lightSpecularTexture)

      Initializes the value for the `lightSpecularTexture` attribute.
      Parameters:
        `lightSpecularTexture` - The value for lightSpecularTexture
      Returns:
        `this` builder for use in a chained invocation

    - #### setOutputViewport

          public final R2FilterLightApplicatorParameters.Builder setOutputViewport(com.io7m.jareas.core.AreaInclusiveUnsignedLType outputViewport)

      Initializes the value for the `outputViewport` attribute.
      Parameters:
        `outputViewport` - The value for outputViewport
      Returns:
        `this` builder for use in a chained invocation

    - #### build

          public R2FilterLightApplicatorParameters build()

      Builds a new `R2FilterLightApplicatorParameters`.
      Returns:
        An immutable instance of R2FilterLightApplicatorParameters
      Throws:
        `IllegalStateException` - if any required attributes are missing

Copyright © 2016 <code@io7m.com> http://io7m.com